Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class ViewBuild

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.BuildActionSupport
                  com.atlassian.bamboo.build.ViewBuild

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, PaginationAware, ResultsListAware, ResultsListProvider, ReturnUrlAware, StatisticsAware

    public class ViewBuild

extends BuildActionSupport
implements StatisticsAware, PaginationAware

This class displays a build and its build summary

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewBuild()`

Method Summary
`String` | `doExecute()` Obtain the list of builds associated with the build
`Collection` | `getBuildErrors()` Obtain all the current build errors.
`BuildStatusHelper` | `getBuildStatusHelper()`
`BuildResults` | `getCurrentlyRunningBuild()`
`FilterController` | `getFilterController()`
`BuildResults` | `getLastBuildResult()`
`Pager` | `getPager()`
`List` | `getResultsList()` Provide the GUI with the collection of `BuildResultsSummary` objects for the specified build.
`StatisticsCollector` | `getStatistics()`
`void` | `setFilterController(FilterController filterController)`
`void` | `setPager(Pager pager)`
`void` | `setResultsList(List results)`
`void` | `setStatistics(StatisticsCollector statistics)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.BuildActionSupport
`getBuild, getBuildKey, getPluginManager, getPluginMenuItems, setBuild, setBuildKey, setPluginManager`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.ww2.aware.BuildAware
`getBuild, setBuild`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ViewBuild

    public ViewBuild()

Method Detail

### doExecute

    public String doExecute()
                     throws Exception

  Obtain the list of builds associated with the build

  Returns:
    Webwork success status
  Throws:
    `Exception` - Generic failure

### getCurrentlyRunningBuild

    public BuildResults getCurrentlyRunningBuild()

  Overrides:
    `getCurrentlyRunningBuild` in class `BuildActionSupport`

### getStatistics

    public StatisticsCollector getStatistics()

  Specified by:
    `getStatistics` in interface `StatisticsAware`

### setStatistics

    public void setStatistics(StatisticsCollector statistics)

  Specified by:
    `setStatistics` in interface `StatisticsAware`

### getLastBuildResult

    public BuildResults getLastBuildResult()

### getBuildStatusHelper

    public BuildStatusHelper getBuildStatusHelper()

### getBuildErrors

    public Collection getBuildErrors()

  Obtain all the current build errors.

  Returns:
    The ErrorsMessages

### getFilterController

    public FilterController getFilterController()

### setFilterController

    public void setFilterController(FilterController filterController)

### getResultsList

    public List getResultsList()

  Provide the GUI with the collection of `BuildResultsSummary` objects for the specified build. These are sorted most recent first.

  Specified by:
    `getResultsList` in interface `ResultsListAware`
  Specified by:
    `getResultsList` in interface `ResultsListProvider`
  Returns:
    The build result summaries

### setResultsList

    public void setResultsList(List results)

  Specified by:
    `setResultsList` in interface `ResultsListAware`

### getPager

    public Pager getPager()

  Specified by:
    `getPager` in interface `PaginationAware`

### setPager

    public void setPager(Pager pager)

  Specified by:
    `setPager` in interface `PaginationAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.